#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;
using NinjaTrader.NinjaScript.DrawingTools;
using MZpack;
using MZpack.NT8;
#endregion

//This namespace holds Indicators in this folder and is required. Do not change it. 
namespace NinjaTrader.NinjaScript.Indicators
{
	public class VP : mzVolumeProfile
	{
	}
}

#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		private VP[] cacheVP;
		public VP VP()
		{
			return VP(Input);
		}

		public VP VP(ISeries<double> input)
		{
			if (cacheVP != null)
				for (int idx = 0; idx < cacheVP.Length; idx++)
					if (cacheVP[idx] != null &&  cacheVP[idx].EqualsInput(input))
						return cacheVP[idx];
			return CacheIndicator<VP>(new VP(), input, ref cacheVP);
		}
	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		public Indicators.VP VP()
		{
			return indicator.VP(Input);
		}

		public Indicators.VP VP(ISeries<double> input )
		{
			return indicator.VP(input);
		}
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		public Indicators.VP VP()
		{
			return indicator.VP(Input);
		}

		public Indicators.VP VP(ISeries<double> input )
		{
			return indicator.VP(input);
		}
	}
}

#endregion
